#ifndef _AUTOMATA_INC
#define _AUTOMATA_INC

#include <string>
#include <vector>

using namespace std;

typedef struct {
	int state;
	int new_state;
	string s;
} TRANSITION;


class Automata {
	vector<TRANSITION> transitions;
	int current_state;
	
public:
	Automata();

	void add_transition(int state, int new_state, const char *s);
	void print();
	
	unsigned int size();
	int state();
	
	void start(int state);
	int apply(const char *s);
};

#endif /* _AUTOMATA_INC_ */
