#include <stdio.h>
#include <regex.h>
#include <string.h>
#include <stdlib.h>

int main() {
	char regex_s[1000];
	char buf[100000];

	regex_t regex;
    int reti;
	
	printf("Insert regex: ");
	fgets(regex_s,1000,stdin);
	regex_s[strlen(regex_s) - 1] = '\0';
	
	puts("Compiling Regex...");
	/* Compile regular expression */
	reti = regcomp(&regex, regex_s, 0);
	if( reti ){ fprintf(stderr, "Could not compile regex\n"); exit(1); }
	
	printf("> ");
	while(fgets(buf,100000,stdin)) {
		buf[strlen(buf) - 1] = '\0';
		
		/* Execute regular expression */
		reti = regexec(&regex, "abc", 0, NULL, 0);
		if( !reti ){
			puts("Match");
		}
		else if( reti == REG_NOMATCH ){
			puts("No match");
		}
		else{
			regerror(reti, &regex, buf, sizeof(buf));
			fprintf(stderr, "Regex match failed: %s\n", buf);
			exit(1);
		}
		
		
		printf("> ");
	}
	
	/* Free compiled regular expression if you want to use the regex_t again */
    regfree(&regex);
	
	return 0;
}
