<?php

$search = isset($_POST['search']) ? $_POST['search'] : "";

?>

<!DOCTYPE html>
<html lang="en">
	<head>
		<meta charset="utf-8">
		<meta http-equiv="X-UA-Compatible" content="IE=edge">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<meta name="description" content="Análise do Diário da República Portuguesa">
		<meta name="author" content="Ricardo Gonçalves">
		<link rel="shortcut icon" href="assets/ico/favicon.ico">

		<title>Journal of the Assembly of the Republic</title>
	
		<!-- Bootstrap core CSS -->
		<link href="css/bootstrap.min.css" rel="stylesheet">
		<link href="css/bootstrap-theme.min.css" rel="stylesheet">

		<!-- Custom styles for this template -->
		<!--<link href="css/ui-lightness/jquery-ui-1.10.4.custom.min.css" rel="stylesheet" >-->
		<link href="css/flick/jquery-ui.min.css" rel="stylesheet" >
		<link href="css/style.css" rel="stylesheet">

		<!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
		<!--[if lt IE 9]>
			<script src="https://oss.maxcdn.com/libs/html5shiv/3.7.0/html5shiv.js"></script>
			<script src="https://oss.maxcdn.com/libs/respond.js/1.4.2/respond.min.js"></script>
		<![endif]-->
		
		<script src="js/jquery.min.js"></script>
		<script src="js/jquery-ui-1.10.4.custom.min.js"></script>
		<script src="js/bootstrap.min.js"></script>
		<!--<script src="js/javascript.js"></script>-->
		<script type="text/javascript">
			$.getJSON("list-deputies.php").done(function(data) {
				$("#search").autocomplete({
					source: data
				});
			});
		</script>
	</head>
	<body>
		<h1 class="page-header title">Journal of the Assembly of the Republic</h1>
		
		<form action="index.php" method="get" class="form-horizontal search-form">
			<div class="form-group">
				<label for="search" class="control-label" style="float: left; padding-left: 15px;">Enter a name of a deputy to search</label>
				<div class="col-sm-5">
					<input type="text" id="search" name="view-deputy" class="form-control" value="<?php echo $search; ?>">
				</div>
				
				<div class="col-sm-4">
					<button type="submit" class="btn btn-primary">Search</button>
					
					<a href="index.php?all-parties" style="margin: 5px 15px 0 30px;">All parties</a>
					<a href="index.php?all-deputies" style="margin: 5px 15px 0 15px;">All deputies</a>
				</div>
			</div>
		</form>
		<div id="container">
			<?php
				if(isset($_GET['all-deputies']))
					require('all-deputies.php');
				else if(isset($_GET['all-parties']))
					require('all-parties.php');
				else if(isset($_GET['view-party']))
					require('view-party.php');
				else if(isset($_GET['view-deputy']))
					require('view-deputy.php');
				else {
			?>
			<?php } ?>
		</div>
	</body>
</html>

